!>
! @license Apache-2.0
!
! Copyright (c) 2018 The Stdlib Authors.
!
! Licensed under the Apache License, Version 2.0 (the "License");
! you may not use this file except in compliance with the License.
! You may obtain a copy of the License at
!
!    http://www.apache.org/licenses/LICENSE-2.0
!
! Unless required by applicable law or agreed to in writing, software
! distributed under the License is distributed on an "AS IS" BASIS,
! WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
! See the License for the specific language governing permissions and
! limitations under the License.
!<

!> Wraps `sasum` as a subroutine.
!
! @param {integer} N - number of indexed elements
! @param {Array<real>} sx - input array
! @param {integer} stride - stride length
! @param {real} sum - output variable reference
!<
subroutine sasumsub( N, sx, stride, sum )
  implicit none
  ! ..
  ! External functions:
  interface
    real function sasum( N, sx, stride )
      integer :: stride, N
      real :: sx(*)
    end function sasum
  end interface
  ! ..
  ! Scalar arguments:
  integer :: stride, N
  real :: sum
  ! ..
  ! Array arguments:
  real :: sx(*)
  ! ..
  ! Compute the sum of absolute values:
  sum = sasum( N, sx, stride )
  return
end subroutine sasumsub
